1.0.8.5:
--------

Notes:
------

From 1.0.8.4 to 1.0.8.5 no changes has been done to config. A new font
is used because the license of the old was questioned.

New features:
-------------
none

Bugfixes:
---------
* Fix #266 - MMS starts up with no output device (dvb)
* Fix check-size
* Support relative symlinks
* Support the remote control for S100 boxes
* Fix #244 - play track in playlist at the same position after
  restart/shutdown pc
* fix imdb search
* Fix #234 - Games Module: MMS doesn't show some of the .zip roms of a
  folder
* Fix wrong zoom on some pictures
* Don't draw busy indicator more than needed
* Add missing blur image
* Restore volume on startup when using xine as audio player

Other:
------
* Improved some of the english strings
* pt, de, da, it, es translation updates
* Remove internal termcap library and instead use external ncurses
* Use external ffmpeg if available
* New font which comes from the Red Hat liberation fonts

1.0.8.4:
--------

Notes:
------

From 1.0.8.3 to 1.0.8.4 no changes has been done to config

New features:
-------------
None

Bugfixes:
---------
* Fix imdb lookup
* Fix temporary memory leak when running in fullscreen with zoom to
  fullscreen enabled
* After loading a playlist always go to playlist
* Only allow load playlist inside audio or playlist
* Fix #102: Support more keys on numeric keypad
* Small memory leak fix
* Fix not being able to add all mp3 files in a topdir (incl. cd) to playlist
* More robust check for cd is present
* Don't start the SDL timer if it's not needed. This was causing the
  machine to wake up 1000 times a second. Now it's down to normal 80.
* Fix bug in pictures with page down + close to a page from last item
* Fix #137: Bug in recursive pictures view
* Fix #185: Various probs in recurse-slideshow
* Fix an infinite loop recursion in recursive pciture viewing
* Fix the case where when zooming the first time mms wouldn't correctly
  update the picture

Other:
------
* Update da,de,it,es translations
* Add check for resolutions below 720x450 || 720x405 (not supported)

1.0.8.3:
--------

Notes:
------

From 1.0.8.2 to 1.0.8.3 the following changes has been done to config:

- add jpeg as picture type
- rename psxenu_enable to psxemu_enable
- Add flac to default audio filetypes
- Add new lirc_delay option

Better default values:

- The dvb default dvd player was changed
- Use alsa as default audio device for movie playback
  Changes the default value of: audio_mode_5d, audio_mode_5a, audio_mode_2
- Better default mplayer options when using sdl output

New features:
-------------
* Restore volume on return from external program
* Support core 2 duo
* Add Italien translation
* Add script to launch daemon programs

Bugfixes:
----------
* Crash in search
* Fix black screen when coming back from external program
* Better lirc code
* Better forker for external programs
* Fix for coming back from running external application
* Fix alsaplayer volume bug
* Pressing play when in fullscreen caused a livelock
* When playing the last track inside fullscreen it would come back
  but the last played track will still be marked even though we have
  stopped playing
* Correctly shut down when shutdown on last track has been turned on
  and a random mode is used.
* Fixed end not working in startmenu (for getting out of audio
  screensaver)
* Fix metadata retrievel when using Xine
* Fix make clean + make library-builders
* Fix play now crash when using German
* Fix tagline was missing from imdb results
* Fix imdb lookup of movies which only have 1 result
* Fix crash trying to play_now a dir that was empty
* Don't complain as loudly if commoncpp2 is not found
* Correct evdev patch

Other:
------
* On wrong config version only show a warning, don't bail
* Translation updates: pt, ru, de, da
* Add tool: check-size to check the size of translation to make sure
  they are not too long

1.0.8.2:
--------

Notes:
------

From 1.0.8.1 to 1.0.8.2 the following changes has been done to config:

- game, picture, movie and audio dirs has been changed to /media as a
  better default option
- movie_warning has been removed
- mplayerdvdopts has been added
- audio_output_type and audio_dev changed to alsa as it's more common
- audio_mode_playnow enabled by default now
- fullscreen set to false by default
- evdev_dev option added
- idle time changed from disabled to 1 minute

Furthermore a new default theme has been added so you need to upgrade
to that one. You can still get the old one from:

   http://people.iola.dk/anders/old-standard.tar.bz2


New features:
-------------
* New theme built from special-tailored icons by Andreas Sassar
* Man pages
* Add support for multimedia keys
* Add bitrates to radio stations and add ability to specify minimum
  bitrate in options
* Radio: add genre screen for easier finding stuff to listen to. 

Bugfixes:
----------
* Fix evdev
* Fix two bugs in audio
* Fix playnow
  - Will now autosave the old playlist as 'autosaved' before clearing
    the playlsit
* Screensaver was not enabled when choosing add and play for a cd
* Fix options in 720x405
* move the volume bar up a little so that it don't clash with the
  random mode
* Several bugfixes to radio playback
* Gstreamer: Reset audio info before playing new track
* Fix crash in case of a malformed XML in EPG
* Make mms less likely to skip displaying seconds when playing audio
* Calculate correct border of half-drawn images
* Fix a bug in gstramer pause + play
* Load saved cd tracks correctly with gstreamer
* Fix two gstreamer bugs
  - make play work
  - make end of track (play next) work better
* Fix imdb movie lookup
* Fix playback of movie on cd's with special chars in the name
* Take pause into account when stopping and starting external programs
* Fix shutdown on playback finished
* If exit in the middle of an epg_update then kill the updater
* Fix mobile layout for lirc
* Fix audio cd playback with gstreamer
* Create transparent thumbnails if needed
* Fix updater timeouts
* Fix screen corruption coming back from running external program
* Fix slideshow delay in pictures fullscreen
* Fix imdb so that it works with the new layout

Other:
------
* Pressing second action inside second action menu closes the menu
* Change the keybinding of prev/next versus left/right in pictures
  - left/right now goes to the next/prev picture
  - prev/next now rotates
* Translation updates
* Polish translation added
* For screensaver use playlist position in non-random modes and amount
  of played tracks in random
* When wrong theme version is found, explain what version mms expects
* Add COPYING file with all the COPYRIGHT stuff
* Fix README
* Make alsaplayer the default player again
* Implement page_up and down in epg
* Add mplayer dvd option to config needed to get smooth playback using dxr3.

###############################################################################

1.0.8.1:
--------

New features:
-------------
- Add configure option to disable optimization to make it easier to copy
  it from one machine to another
- Add method to compile and install all library builders:
  - make library-builders
  - make library-builders-install
- Display the number of tracks played of all the tracks in the playlist
- Add play track to audio
- Implement two navigation improvements
  - When on the second last row always go the next row, no matter how many
    elements it contains 
  - Jump a screen instead of the configured jump in graphical modes. It's
    much more natural that it should work this way.

Bugfixes:
----------
* Fix compile with some default things disabled
* Fix audio playback + start a game or play a movie deadlock
* Fix audio random modes
* Fix config top
* Fix loading volume
* Fix delete a track that was playing
* Fix if stop_on_clear = false and the last track was deleted the cover was
  missing
* Fix options i EPG for other languages
* Fix two bugs in movie imdb information handling
* Work around FUBAR drives
* Fix play_now
* Fix movie handling imdb info handling
* Massive performance improvement in SDL
* Make winamp random a little less random
* Fix widescreen TV resolution
* Don't show ending of files (*.X)
* Fix error message in movies when trying to play an empty folder
* Fix the handling of temporary locations
* Add folders is empty message to movies also
* Make secondary menu works fine in options fullscreen
* Support movies with missing covers
* Fix imdb downloading
* Add load playlist to secondary menu in audio add
* Fix recurse dirs == search in pictures secondary menu
* Fix bug with lirc + movie playbac
* Fix secondary menu for pictures
* Configure fix for commoncp2 1.5.1

Other:
------
* Add tv icon
* New busy icons
* New installation structure:
  - Config files are saved in /etc/mms/
  - Files that must be saved but are changed at runtime are stored in /var/lib/mms
  - Files which are generated at runtime but can be deleted without
  much trouble are stored in /var/cache/mms
* Display busy indicator in audio screensaver now that the "green" status
  is gone
* Make replay device a little more verbose
* Add audio device hints
* Two lines for names in Pictures
* Don't do too much trying to find a movie inside a dir
* Be a little smarter when reading files and folders

###############################################################################

1.0.8:
----------

New features:
-------------
- Game support
- TV viewing support (using VDR or tvtime)
- Save playlist position across sessions

Bugfixes:
----------
- Fix a cache bug
- Fix running external program with SDL output using keyboard input
- Fix subtitles for movies
- Fix play all -> imdb view bug
- Fix crash on exit
- Fix audio pause + movie playback bug
- Fix bug in audio playback + movie playing
- Fix a couple of bugs in audio
- Fix bug: don't stop playing audio if queue is not empty
- Fix searching for two chars in a row on the same key
- Fix several audio bugs
- Don't pass translated subtitle languages to mplayer
- Fix bug download imdb info
- Fix searching imdb for the it crowd
- Fix deadlock when starting movie + playing audio
- Make volume bar work again
- Fix compilation of mms-audio-library
- Fix radio playback
- Fix bug in audio screensaver + stop

Other:
------
- Updated translations
- Ability to use space when searching using lirc
- Remap action from rotate to zoom
- Better wording
- Make Xine audio new default audio player (alsaplayer is unmaintained)
- make imdb search navigation easier

###############################################################################

1.0.8 rc2:
----------

New features:
---------
- Add play now functinality. Thanks Pablito
- Rotate left and right using left and right keys :-)

Bugfixes:
----------
- Fix not removing all links from imdb plot lines
- Fix zoom (works correctly with portrait style images and small
  images)
- Fix imdb titles starting with \n
- Fix busy indicator interfering with audio screensaver
- Disable X11 check, it wasn't working correctly
- Better try at fixing the Xine skipping problems. By giga_san.
- Fix crash when creating thumbnails and drawing
- Fix memory leak when doing thumbnails
- Fix crash in audio with random mode enabled
- Compile fix in renderer.cpp
- Fix alsaplayer slowness

Other:
------
- Updated translations for da, de, cs, pt, sv, fr, es, fi
- Converted http downloading to use wget. WGET is now required for
  imdb and internet radio functinality
- Config option to disable imdb warning. Useful for e.g. music video folders

###############################################################################

1.0.8 rc1:
----------

New features:
-------------
- Add Finnish translation
- Improve the speed of pictures fullscreen dramatically
- Add secondary menu to pictures fullscreen
- Add secondary menu to load playlist screen
- Remove help screen (secondary menu superseeds it)
- Wrap around support in secondary menu
- Make volume persistent (between mms sessions)
- Added mms-pic-library. A library to offline create thumbnails for
  faster picture navigation
- Better default values for configure and options
- Install tailored configs based on configure paramters instead of just
  on default making it easier to get started.
- Add nxtvepg extraction scripts
- Put a box around covers in audio screensaver
- Simplify the graphical interface
- Ability to exclude diretories in pictures
- Don't try so hard to find cover (speeds up audio quite a bit for
  large folders)
- Add the ability to recurse folders in fullscreen pictures
- Add the ability to add all tracks inside a dir
- Add busy indicator
- Implemented a mode for lirc where the keys are mapped to a full
  keyboard like a mobile phone
- Update gstreamer to use 0.10 instead of 0.8 since it's much better
- Picture zooming support
- Prev/Next preview in pictures fullscreen
- Make the dvb device configurable

Bugfixes:
---------
- Fix imdb lookup
- Fix graphics bugs
- Fix bug in EPG
- Fix downloading covers for two files quickly after each other
- Fix audio screensaver bug
- Fix pictures fullscreen
- Fix title with newline in imdb search screen
- Fix pause in pictures clashing with pause in audio
- Fix track skipping with alsaplayer
- Fix volume reset with alsaplayer
- Fix bugs in audio load playlist
- Fix slowness in EPG
- Fix crash in search with lirc
- Fix search in 720x540
- Fix compile with local commoncpp2
- Fix cursor gone when leaving SDL fullscreen
- Don't fire new updater elements immediately
- Don't create empty ~/.mms dir with mms-audio-library
- Fix load playlist
- Fix options
- Fix crash in options when translations was too long
- Don't fail in themes on empty dirs
- Fix crash when searching + next
- Fix slowdown in audio in huge folders
- Fix crash when saving playlist
- Fix bug if audio folders have no dirs
- Fix graphics bugs with overlays
- Fix too long album titles
- Don't use imms info for web radios
- Fix crash when adding a radio station
- Don't show movie tagline if empty
- Fix compile on amd64 with gcc 4.1.1
- Don't let play, pause, next_track etc. disable the screensaver
- Correctly format long movie runtimes
- Support movie taglines with links in them
- Don't use a global orientation in pictures fullscreen
- Fix taglib configure test
- Red Hat 9 compile fixes
- Fix compile with graphical audio disabled

Other:
------
- Xidle configure check
- Standardize secondary menu layout
- Update translations (da, de, sv, fr, pt, es, ru)
- Install translations with the correct permissions
- Clean up config
- Better names for actions
- Fetch the top500 stations
- Better spacing for movie ratings
- Display .0 for imdb ratings
- Make the number of rows and colums of a lcd display configurable
- Marked item in dialogs was too dark. Make them lighter

###############################################################################

1.0.7:
------

New features:
-------------
- New graphical audio interface
- Don't look up files in db when creating the list

  This should improve performance in at least these two cases:
  - Large folders with a lot of files
  - Large playlists
- Config option to set alsaplayer options

Bugfixes:
---------
- When setting random mode to 'intelligent', then trying to play a
  file in the playlist, mms could crash.
- Handle empty TV.xml files robustly
- Fix two bugs in audio playlist
- Fix empty channels in TV.xml files
- Fix make in library-builder
- Fix graphics bug
- Theme was missing movie marked so it looked funny

Other:
------
- Better documentation of the cdrom configuration line
- Massive performance improvements. Should be twice at fast in common
  cases.
- Check for sqlite (version) in configure
- automatic start of playback when adding a radio station
- Add some missing stuff to the themes file

###############################################################################

1.0.6.1:
--------

Bugfixes:
---------
- Fix crash in EPG and radio station downloading
- Only show download message when it actually downloads radio stations
- Fix page up for radio and choose playlist
- Fix parsing options from the command line

Other:
------
- Czech translation update
- Nicer formating of internet radio time in screensaver mode
- Add config option to define if user wants to download radio stations
- Prettier printing of radio stations

###############################################################################

1.0.6:
------

New features:
-------------
- User friendly audio cd playback
- Background thumbnail generation
- Automatic radio station list download
- Gapless playback if xine-lib 1.1.1 is found

Bugfixes:
---------
- Fix downloading covers from imdb
- Fix race condition in new Xine code
- Optimize the getvol function which is called a lot of times from audio
- Fix possible problem in play()
- Fix for strange programs in EPG
- Fix cd detection for movie
- Fix -c to work again
- Don't let real random respect repeat (Fixes bug #4)
- Don't crash with an empty playlist and press next
- Don't make next and prev bog down the whole app for several second when
  we are not playing
- Fix bug in xine next_track
- Fix crash with Xine stop
- Fix movie playback
- Xine doesn't always have the correct id3 information so lets use the
  values from the db if available
- If no id3 information is found but a cover is still available also
  display it in screensaver mode
- Fix bug in play track with bttv radio
- Add missing secondary menu item in playlist

Other:
------
- Support numlock, scroll, capslock and keypad
- Fix wrong comment
- Add pls to movies to support tv playback based on Qwasi's excellent
  guide
- Updated translations

###############################################################################

1.0.5:
------

New features:
-------------
- Ability to eject everywhere
- Only display imdb update information the first time
- Nicer theme
- Replay and benchmark framework
- Support widescreen tv's for dvb and dxr3

Bugfixes:
---------
- Fix icon in epg description
- Fix pause in pictures fullscreen
- Fix theme related stuff and a bug in the imdb screens
- Fix widescreen in audio
- Fix print audio screensaver
- Display full information about track in add mode 
- gcc 2.95 compile fixes
- Fix gstreamer stop + pause and set correct audio device
- Use the extracted mp3 length instead of the players
- Support mp3 tags in a different language format than filenames
- Fix movie playback with audio disabled in config
- Fix bug in rendering secondary menues
- Don't try to overwhelm the user with imdb search requests
- BUG: audio screensaver active together with extraction message
- Fix rendering bug
- Fix bug with playing two movies in a session
- Fix two wrong assertions
- Fix compile with debugging and an mpeg output type enabled
- Fix building mpeg without fancy audio
- Picturs: Also show "generate thumbails screen" when entering af directory
- Fix bug in renderer with two overlays running
- Fix renderer bugs
- Fix subtitles in movie playback
- Fix compile with bttv enabled
- Fix movie playback with subtitles
- Fix bug with playing movie with no audio playing

Other:
------
- da, de, cs, fr, pt, sv, ru translation updates
- Add information about overscan to the documentation
- Detect if there is a working iconv
- Add a new FAQ to doc
- Document 16:9 4:3 option
- Document new mpeg output option
- Don't compile libavcodec with debug enable
- Add something to the documentation about the Russian language
- Dependencies are now automatically created 
- Possible fix translations of --help
- Optimize rendering text
- More default formats added to config

###############################################################################

1.0.4:
------

New features:
-------------
- Widescreen support
- Metadata extraction in the background for audio 
  (can be controlled from options)

Bugfixes:
---------
- Add missing gettext.hpp includes
- Only check for audio players in configure if music is enabled
- Fix short break when playing music with xine
- Fix global options printing 
- Scale covers in graphical movie information
- Fix size of artist, album and title in audio screensaver
- Fix not being able to exit playlist commands when entering from
  startmenu
- Fix audio playback from media
- Fix race condition in pictures fullscreen that could lead to crash
- Fix changing sort order from playlist
- make title cutting in audio information work with non-asci titles
- fix print description in EPG for dxr3 and dvb
- Fix locale problems (added two new config options)
- Split movie names correctly
- Fix translation related bugs
- Format help screen nicely
- Don't waste time trying to print lcd if lcd is disabled
- Fix EPG updater
- Don't allow changing mode when a menu is covering the screen (like
  extra menu and imdb search screen)
- Disable and enable audio fullscreen in the correct places, calling
  commands from extra menu could lead to a situation where audio
  fullscreen was disabled where it should be enabled
- Just use back to quit from imdb lookup instead of using search, exit.
  This also makes it possible to quit a search not only from the position
  where you can enter characters but also when selecting
- Fix Epg reloading
- show secondary menu in movie, pictures and epg
- don't run the epg_update function a million times while downloading a
  new TV.xml file
- Show all general commands in graphical movie helpscreen
- Restore old keymap after returning from options
- Disable audio fullscreen when it interfers with other stuff
- Fix playing movies without subtitles
- Fix compile errors with debug enabled
- Compile fix for audio disabled

Other:
------
- da, de, cs, fr, pt, sv translation updates
- Change order of prev and next track
- Massive performance improvements
- Optimize the layout of graphical movies

###############################################################################

1.0.3:
------

New features:
-------------
- Better subtitle handling
- Support subtitles with xine as movie player
- Add config and daemonize options
- mpeg output option to write mpeg files to the harddrive for fun and
  debugging
- Add queue system to audio
- Simplied navigation interface
- Use commoncpp2 if installed
- Very basic gstreamer support. Not recommended for production use.

Bugfixes:
---------
- Make sorting work when going back
- Fix reload when not in the first directory
- Fix quiting a search in fancy movie on imdb
- Fix crash with mplayer as movie player and xine or dxr3player as dvd
  player
- Fix possible problem with dvdtitle

Other:
------
- Gcc 4.0 support
- Show movie title on two lines in graphical movie

###############################################################################

1.0.2.2:
--------

Bugfixes:
---------
- Fix playback of discs of movie files

###############################################################################

1.0.2.1:
--------

Bugfixes:
---------
- Fix Go back to work in Options, Themes and Pictures

###############################################################################

1.0.2:
------

New features:
-------------
- Added Czech translation from Miroslav Flíd
- Support track number for audio tracks
- Blur option
- Simplify the dvd and movie player options and make it more flexible
- New debug option, allows debug level to be controlled at runtime

Bugfixes:
---------
- Don't crash when entering EPG if TV.xml-file not found
- Fix compilation with audio disabled
- Don't show Go Back in startmenu
- Fix EPG
- Fix DVB unlocking
- Fix SDL fullscreen
- Fix Lirc
- 1280x1024 resolution fix

Other:
------
- German, Swedish, Danish, Spanish translation updates
- Remove evil libfs++ build system

###############################################################################

1.0.1:
------

New features:
-------------
- Support movie covers like fancy audio to overwrite imdb results.
- Very early dvb support
- Let the user add tracks to playlist instead of adding all when  
  selecting audio cd in the startmenu
- Kill epg updater on exit (requires root privs :/)
- Version support in input and config files
- Add support for runtime imdb information

Bugfixes:
---------
- Fix utf8 strings in epg description
- Fix problem with stop_on_clear=false
- Fix mms-library
- Fix stupid xmltv bug
- Fix 3 bugs found related to temporary objs
- Fix a bug in audio choose_playlist and choose_radio to make page_up
  work again
- Update evdev to work like the other devices
- 640x480 segmentation fault fix
- Make vgaglout compile again
- Fix playlist only mode in audio
- Fix info in helptext
- Fix fancy audio
- Fix possible race in dxr3out
- Fix epg_update
- Fix SDL fullscreen problem with lirc 
- The progressbar doesn't take into account the size of the header
- Cut-off very long filenames in pictures fullscreen

Misc:
-----
- Updated all 6 translations. 
- Add TV channel logo in print_description of EPG
- Fix the resolution of dvb and dxr3 to 720x576
- Clean up audio and simple types
